unit ucopyfile;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  VrControls, ExtCtrls, StdCtrls, VrBorder, VrProgressBar, VrSystem,
  VrButtons;

type
  TForm1 = class(TForm)
    VrCopyFile1: TVrCopyFile;
    Edit1: TEdit;
    Label1: TLabel;
    Edit2: TEdit;
    Label2: TLabel;
    VrProgressBar: TVrProgressBar;
    Label3: TLabel;
    VrDemoButton1: TVrDemoButton;
    VrDemoButton2: TVrDemoButton;
    VrDemoButton3: TVrDemoButton;
    OpenDialog: TOpenDialog;
    VrDemoButton4: TVrDemoButton;
    VrDemoButton5: TVrDemoButton;
    procedure VrDemoButton1Click(Sender: TObject);
    procedure VrDemoButton2Click(Sender: TObject);
    procedure VrDemoButton3Click(Sender: TObject);
    procedure VrDemoButton4Click(Sender: TObject);
    procedure VrDemoButton5Click(Sender: TObject);
    procedure Edit2Change(Sender: TObject);
    procedure VrCopyFile1BeforeOpen(Sender: TObject; Size: Integer; Date,
      Time: TDateTime);
    procedure VrCopyFile1Progress(Sender: TObject; BytesCopied: Integer;
      var Cancel: Boolean);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure VrCopyFile1BeforeOverwrite(Sender: TObject;
      var Overwrite: Boolean);
    procedure VrCopyFile1AfterCopy(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.VrDemoButton1Click(Sender: TObject);
begin
  if OpenDialog.Execute then
    Edit1.Text := OpenDialog.FileName;
end;

procedure TForm1.VrDemoButton2Click(Sender: TObject);
begin
  if OpenDialog.Execute then
    Edit2.Text := OpenDialog.FileName;
end;

procedure TForm1.VrDemoButton3Click(Sender: TObject);
begin
  VrCopyFile1.SourceFile := Edit1.Text;
  VrCopyFile1.DestFile := Edit2.Text;
  try
    VrCopyFile1.Execute;
  except
    raise; //use deault exception handling
  end;
end;

procedure TForm1.VrDemoButton4Click(Sender: TObject);
begin
  VrCopyFile1.Terminate;
end;

procedure TForm1.VrDemoButton5Click(Sender: TObject);
begin
  Close;
end;

procedure TForm1.Edit2Change(Sender: TObject);
begin
  VrDemoButton3.Enabled := (Trim(Edit1.Text) <> '') and (Trim(Edit2.Text) <> '')
end;

procedure TForm1.VrCopyFile1BeforeOpen(Sender: TObject; Size: Integer;
  Date, Time: TDateTime);
begin
  VrProgressBar.Position := 0;
  VrProgressBar.Max := Size;
  VrDemoButton3.Enabled := false;
  VrDemoButton4.Enabled := True;
end;

procedure TForm1.VrCopyFile1Progress(Sender: TObject; BytesCopied: Integer;
  var Cancel: Boolean);
begin
  VrProgressBar.Position := BytesCopied;
end;

procedure TForm1.FormCloseQuery(Sender: TObject; var CanClose: Boolean);
begin
  VrCopyFile1.Terminate;
end;

procedure TForm1.VrCopyFile1BeforeOverwrite(Sender: TObject;
  var Overwrite: Boolean);
begin
  if MessageDlg(VrCopyFile1.DestFile + ' already exists, overwrite?',
    mtConfirmation, [mbOk, mbCancel], 0) = mrCancel then Overwrite := false;
end;

procedure TForm1.VrCopyFile1AfterCopy(Sender: TObject);
begin
  VrDemoButton3.Enabled := True;
  VrDemoButton4.Enabled := false;
  VrProgressBar.Position := 0;
end;


end.
